Index: pjproject/trunk/pjsip/include/pjsua2/call.hpp
===================================================================
--- pjproject/trunk/pjsip/include/pjsua2/call.hpp	(revision 5972)
+++ pjproject/trunk/pjsip/include/pjsua2/call.hpp	(revision 6026)
@@ -1210,5 +1210,5 @@
      * @return              Call info.
      */
-    CallInfo getInfo() const throw(Error);
+    CallInfo getInfo() const PJSUA2_THROW(Error);
     
     /**
@@ -1264,5 +1264,5 @@
      * @return              The audio media.
      */
-    AudioMedia getAudioMedia(int med_idx) const throw(Error);
+    AudioMedia getAudioMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1277,5 +1277,5 @@
      * @return              The video media.
      */
-    VideoMedia getEncodingVideoMedia(int med_idx) const throw(Error);
+    VideoMedia getEncodingVideoMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1290,5 +1290,5 @@
      * @return              The video media.
      */
-    VideoMedia getDecodingVideoMedia(int med_idx) const throw(Error);
+    VideoMedia getDecodingVideoMedia(int med_idx) const PJSUA2_THROW(Error);
 
     /**
@@ -1349,5 +1349,5 @@
      * @see Endpoint::natGetType(), natTypeInSdp
      */
-    pj_stun_nat_type getRemNatType() throw(Error);
+    pj_stun_nat_type getRemNatType() PJSUA2_THROW(Error);
 
     /**
@@ -1360,5 +1360,6 @@
      *                      request.
      */
-    void makeCall(const string &dst_uri, const CallOpParam &prm) throw(Error);
+    void makeCall(const string &dst_uri, const CallOpParam &prm)
+		  PJSUA2_THROW(Error);
 
     /**
@@ -1384,5 +1385,5 @@
      *                      INVITE request.
      */
-    void answer(const CallOpParam &prm) throw(Error);
+    void answer(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1404,5 +1405,5 @@
      *                      request/response message.
      */
-    void hangup(const CallOpParam &prm) throw(Error);
+    void hangup(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1418,5 +1419,5 @@
      *                      the request.
      */
-    void setHold(const CallOpParam &prm) throw(Error);
+    void setHold(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1433,5 +1434,5 @@
      *                      the request.
      */
-    void reinvite(const CallOpParam &prm) throw(Error);
+    void reinvite(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1443,5 +1444,5 @@
      *                      the request.
      */
-    void update(const CallOpParam &prm) throw(Error);
+    void update(const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1460,5 +1461,5 @@
      *                      the request.
      */
-    void xfer(const string &dest, const CallOpParam &prm) throw(Error);
+    void xfer(const string &dest, const CallOpParam &prm) PJSUA2_THROW(Error);
 
     /**
@@ -1478,5 +1479,5 @@
      */
     void xferReplaces(const Call& dest_call,
-                      const CallOpParam &prm) throw(Error);
+                      const CallOpParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1502,5 +1503,5 @@
      *                      not accepted here.
      */
-    void processRedirect(pjsip_redirect_op cmd) throw(Error);
+    void processRedirect(pjsip_redirect_op cmd) PJSUA2_THROW(Error);
 
     /**
@@ -1509,5 +1510,5 @@
      * @param digits        DTMF string digits to be sent.
      */
-    void dialDtmf(const string &digits) throw(Error);
+    void dialDtmf(const string &digits) PJSUA2_THROW(Error);
 
     /**
@@ -1516,5 +1517,5 @@
      * @param param	The send DTMF parameter.
      */
-    void sendDtmf(const CallSendDtmfParam &param) throw (Error);
+    void sendDtmf(const CallSendDtmfParam &param) PJSUA2_THROW(Error);
     
     /**
@@ -1530,5 +1531,6 @@
      *                      the IM callback is called.
      */
-    void sendInstantMessage(const SendInstantMessageParam& prm) throw(Error);
+    void sendInstantMessage(const SendInstantMessageParam& prm)
+			    PJSUA2_THROW(Error);
     
     /**
@@ -1541,5 +1543,5 @@
      */
     void sendTypingIndication(const SendTypingIndicationParam &prm)
-         throw(Error);
+         PJSUA2_THROW(Error);
     
     /**
@@ -1553,5 +1555,5 @@
      *                      included in outgoing request.
      */
-    void sendRequest(const CallSendRequestParam &prm) throw(Error);
+    void sendRequest(const CallSendRequestParam &prm) PJSUA2_THROW(Error);
     
     /**
@@ -1563,5 +1565,5 @@
      * @return              Call dump and media statistics string.
      */
-    string dump(bool with_media, const string indent) throw(Error);
+    string dump(bool with_media, const string indent) PJSUA2_THROW(Error);
     
     /**
@@ -1601,5 +1603,5 @@
      */
     void vidSetStream(pjsua_call_vid_strm_op op,
-                      const CallVidSetStreamParam &param) throw(Error);
+                      const CallVidSetStreamParam &param) PJSUA2_THROW(Error);
 
     /**
@@ -1610,5 +1612,5 @@
      * @return              The stream info.
      */
-    StreamInfo getStreamInfo(unsigned med_idx) const throw(Error);
+    StreamInfo getStreamInfo(unsigned med_idx) const PJSUA2_THROW(Error);
     
     /**
@@ -1619,5 +1621,5 @@
      * @return              The stream statistic.
      */
-    StreamStat getStreamStat(unsigned med_idx) const throw(Error);
+    StreamStat getStreamStat(unsigned med_idx) const PJSUA2_THROW(Error);
     
     /**
@@ -1628,5 +1630,6 @@
      * @return              The transport info.
      */
-    MediaTransportInfo getMedTransportInfo(unsigned med_idx) const throw(Error);
+    MediaTransportInfo getMedTransportInfo(unsigned med_idx) const
+					   PJSUA2_THROW(Error);
 
     /**
